ListOTAFirmware

Last Updated on : 2025-10-10 06:55:19Copy for LLMView as MarkdownDownload PDF

Query the OTA upgrade package list.

Request Parameters

Name Type Required Sample Values Description
Action String Yes ListOTAFirmware System defined parameters. Value: ListOTAFirmware.
CurrentPage Integer Yes 1 Specifies the page number in the returned results. Pages are sorted from 1.
PageSize Integer Yes 10 Specifies the number of firmware displayed per page in the returned results. The maximum limit is 100.
ProductKey String No A19mzPZ * * * * Of the product to which the OTA upgrade package belongs ProductKey .
DestVersion String No 4.0.0 Ota upgrade package version number. This parameter is used to query the OTA upgrade package with the specified version.

Note: When calling an API, in addition to the API-specific request parameters described in this topic, you must also pass in the common request parameters. For more information about common request parameters, see Common parameters.

Return Data

Name Type Sample Values Description
Code String Iot.system.SystemException The error code returned when the call fails. For more information, see Error codes.
CurrentPage Integer 1 The current page number.
ErrorMessage String System Exception Error information returned when the call fails.
FirmwareInfo Array of SimpleFirmwareInfo The list of OTA upgrade packages returned when the call is successful.
SimpleFirmwareInfo
DestVersion String 1.0.1 The version number of the current OTA upgrade package.
FirmwareDesc String Firmware desc Description of the OTA upgrade package.
FirmwareID String 145 The ID of the OTA upgrade package.
FirmwareName String Firmware1 The name of the OTA upgrade package.
FirmwareSign String 3 * * * * The signature value of the OTA upgrade package.
FirmwareSize Integer 924 The size of the OTA upgrade package. Unit: bytes.
ModuleName String Ble The module name of the OTA upgrade package.
ProductKey String K1nhvyl * * * * The ProductKey of the product to which the OTA upgrade package belongs.
ProductName String Ble1 The name of the product to which the OTA upgrade package belongs.
SignMethod String Md5 The signature method of the OTA upgrade package.
SrcVersion String 1.0.0 The version number of the upgrade package to be upgraded OTA.
Status Integer 0 Ota upgrade package status. ●0 : Not Verified. ●1 : Verified. ●2 : Validation in process. ●3 : Validation Failed.
Type Integer 0 Ota upgrade package type. ●0 : Whole package firmware.
UtcCreate String 2024-11-11 T11:11:11.000Z The time when the OTA upgrade package was created, in UTC format.
UtcModified String 2024-11-11 T11:11:11.000Z The time when the OTA upgrade package was last modified, in UTC format.
PageCount Integer 1 Total number of pages.
PageSize Integer 10 The number of upgrade packages displayed per page.
RequestID String Kan The unique identifier that IoT Platform generates for the request.
Success Boolean True Whether the call was successful. ●True : The call succeeded. ●False : The call failed.
Total Integer 1 Total number of OTA upgrade packages.

Example

Request Example

curl 'https://si-d6e8d******58054.tuyacloud.com:8686/?Action=ListOTAFirmware&SignatureNonce=9e6189124f5a4716ad2de849467b****&AccessKeyId=xMr9wgwXQLhv5AUa65o0****&SignatureMethod=HMAC-SHA1&Timestamp=2024-11-19T09%3A47%3A43Z&CurrentPage=1&PageSize=10&ProductKey=k1nhvyl****&DestVersion=1.0.0&Signature=WJN0Ee8%2BX6pogcD3loLHIqQNEN0%3D'

Normal Return Example

{
    "code": "",
    "currentPage": 1,
    "firmwareInfo": {
        "simpleFirmwareInfo": [
                {
            "srcVersion": "1.0.0",
            "firmwareSign": "3d04ab6462633508606e5f3daac8****",
            "productKey": "k1nhvyl****",
            "type": 0,
            "utcModified": "2024-11-11T11:11:11.000Z",
            "signMethod": "MD5",
            "utcCreate": "2024-11-11T11:11:11.000Z",
            "firmwareSize": 924,
            "status": 0,
            "firmwareId": "167",
            "firmwareDesc": "this is firmware",
            "destVersion": "1.0.1",
            "productName": "ble1",
            "firmwareName": "bleFirmware1",
            "moduleName": "ble"
          }
        ]
    },
    "pageCount": 1,
    "pageSize": 10,
    "requestId": "07e1524e-edba-4316-8c83-8714dfaf5b90",
    "success": true,
    "total": 1
}